import * as depGraph from "@snyk/dep-graph";
import { GoModule } from "./go-module";
import { Elf } from "./types";
export declare class GoBinary {
    name: string;
    modules: GoModule[];
    constructor(goElfBinary: Elf);
    depGraph(): Promise<depGraph.DepGraph>;
    matchFilesToModules(files: string[]): void;
}
export declare function extractModuleInformation(binary: Elf): [name: string, deps: GoModule[]];
/**
 * Function finds and returns the Go version and
 * module version information in the executable binary
 * @param binary
 */
export declare function readRawBuildInfo(binary: Elf): string;
export declare function determinePaths(modules: GoModule[], files: string[]): {
    modCachePath: string;
    vendorPath: string;
};
